Get email tracking defaults

Returns the organization's independent defaults for open and click tracking, both enabled unless configured otherwise.

GET
/v1/email/tracking/defaults

Returns the organization's independent defaults for open and click tracking, both enabled unless configured otherwise. Recipient opt-out takes precedence over these defaults.

Authorization

apiKey
headerx-api-key<token>

Response Body

EmailTrackingDefaults

application/json
  1. response
opens*boolean
clicks*boolean
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.email.getTrackingDefaults({});
Example Response
{  "opens": true,  "clicks": true}

Related documentation